Skills
Update a skill
Modifies the specified skill's configuration.
경로 매개 변수
name
string
필수
The name of the skill to update.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
default_version
string
필수
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
응답
The request has succeeded.
본문
id
string
필수
The unique identifier of the skill.
name
string
필수
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
필수
A human-readable description of the skill.
default_version
string
필수
The default version for the skill. Can be changed via updateSkill.
latest_version
string
필수
The latest version for the skill.
요청
POST /skills/{name} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json